Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.domain
Class ResourceReference

    java.lang.Object
      com.jaspersoft.jasperserver.api.metadata.common.domain.ResourceReference

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceReference

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ResourceReference.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`ResourceReference(Resource localResource)`
`ResourceReference(ResourceLookup referenceLookup)`
`ResourceReference(java.lang.String referenceURI)`

Method Summary
`Resource` | `getLocalResource()`
`ResourceLookup` | `getReferenceLookup()`
`java.lang.String` | `getReferenceURI()`
`boolean` | `isLocal()`
`void` | `setLocalResource(Resource localResource)`
`void` | `setReference(ResourceLookup referenceLookup)`
`void` | `setReference(java.lang.String referenceURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceReference

    public ResourceReference(java.lang.String referenceURI)

### ResourceReference

    public ResourceReference(ResourceLookup referenceLookup)

### ResourceReference

    public ResourceReference(Resource localResource)

Method Detail

### isLocal

    public boolean isLocal()

### getLocalResource

    public Resource getLocalResource()

### getReferenceURI

    public java.lang.String getReferenceURI()

### getReferenceLookup

    public ResourceLookup getReferenceLookup()

### setLocalResource

    public void setLocalResource(Resource localResource)

### setReference

    public void setReference(java.lang.String referenceURI)

### setReference

    public void setReference(ResourceLookup referenceLookup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.